Platform
Catalog/Generate image/Recraft V4 Pro
TEXT → IMAGE · Recraft

Recraft V4 Pro

Recraft V4 Pro is the premium tier of Recraft V4, adding finer detail to its precise text rendering.
PRICE0.435 creditsper image
AVG TIME~12sestimate
OUTPUTimagesync
Open in playground

Inputs

promptrequired · text
params.aspect_ratio1:1 | 3:2 | 16:9 | 21:9 | 9:16 | 2:3 | 3:4 | 4:5 · default 1:1
params.n1 | 2 | 3 | 4 · default 1
Monthly estimate
1,000 × 0.435 credits435.00 credits
curl https://platform.4i.app/api/v1/run \
  -H "Authorization: Bearer $FOURI_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "service": "recraft/recraft-v4-pro",
    "input": {
      "prompt": "Describe an image…"
    },
    "params": {
      "aspect_ratio": "1:1"
    }
  }'
Every output has an artifact_id. Pass it as input to any compatible service.
Get your API key →